Bug 800723 - mouse disappearing sometimes on F17
mouse disappearing sometimes on F17
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 23:26 EST by Jens Petersen
Modified: 2015-02-18 08:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:42:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-03-06 23:26:59 EST
Description of problem:
I don't know yet what could be triggering this or how to
reproduce systematically but I have been seeing this
many times over the last weeks and months so I thought
I would finally report it here.

At least a couple of times a week I find that
my X pointer and mouse seem to disappear completely
from my guest F17 sessions.  It might be after logging
out or during a desktop session.

How reproducible:
20%
  
Actual results:
$ xinput list
⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ Power Button                            	id=6	[slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard            	id=7	[slave  keyboard (3)]

Expected results:
⎡ Virtual core pointer                          id=2    [master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer                id=4    [slave  pointer  (2)]
⎜   ↳ ImExPS/2 Generic Explorer Mouse           id=8    [slave  pointer  (2)]
⎣ Virtual core keyboard                         id=3    [master keyboard (2)]
    ↳ Virtual core XTEST keyboard               id=5    [slave  keyboard (3)]
    ↳ Power Button                              id=6    [slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard              id=7    [slave  keyboard (3)]

Additional info:
diff -u Xorg.0.log.nomouse Xorg.0.log
:
@@ -118,7 +109,7 @@
 	CL-GD5465, CL-GD7548, CL-GD7555, CL-GD7556
 [          ] (II) VESA: driver for VESA chipsets: vesa
 [          ] (II) FBDEV: driver for framebuffer: fbdev
-[          ] (--) using VT number 2
+[          ] (++) using VT number 1
 
 [          ] (WW) Falling back to old probe method for cirrus
 [          ] (--) Assigning device section with no busID to primary device
@@ -375,15 +366,20 @@
 [          ] 	Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input2/event2"
 [          ] 	Option "driver" "vmmouse"
 [          ] (**) ImExPS/2 Generic Explorer Mouse: always reports core events
-[          ] (EE) VMWARE(0): vmmouse enable failed
-[          ] (II) LoadModule: "mouse"
-[          ] (WW) Warning, couldn't open module mouse
-[          ] (II) UnloadModule: "mouse"
-[          ] (II) Unloading mouse
-[          ] (EE) Failed to load module "mouse" (module does not exist, 0)
-[          ] (EE) No input driver matching `mouse'
-[          ] (EE) PreInit returned 15 for "ImExPS/2 Generic Explorer Mouse"
-[          ] (II) VMWARE(0): VMMouseUnInit
+[          ] (II) VMWARE(0): vmmouse is available
+[          ] (**) Option "Device" "/dev/input/event2"
+[          ] (**) ImExPS/2 Generic Explorer Mouse: ZAxisMapping: buttons 4 and 5
+[          ] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input2/event2"
+[          ] (II) XINPUT: Adding extended input device "ImExPS/2 Generic Explorer Mouse" (type: MOUSE, id 8)
+[          ] (II) VMWARE(0): VMMOUSE DEVICE_INIT
+[          ] (**) ImExPS/2 Generic Explorer Mouse: (accel) keeping acceleration scheme 1
+[          ] (**) ImExPS/2 Generic Explorer Mouse: (accel) acceleration profile 0
+[          ] (**) ImExPS/2 Generic Explorer Mouse: (accel) acceleration factor: 2.000
+[          ] (**) ImExPS/2 Generic Explorer Mouse: (accel) acceleration threshold: 4
+[          ] (II) VMWARE(0): VMMOUSE DEVICE_ON
+[          ] (**) Option "Device" "/dev/input/event2"
+[          ] (II) VMWARE(0): vmmouse enabled
 [          ] (II) config/udev: Adding input device ImExPS/2 Generic Explorer Mouse (/dev/input/mouse0)
 [          ] (II) No input driver specified, ignoring this device.
 [          ] (II) This device may have been added with another device file.
+[          ] (II) VMWARE(0): vmmouse enable absolute mode
Comment 1 Jens Petersen 2012-03-06 23:28:55 EST
I haven't tested so much on baremetal but I think I have also seen
the problem there so it is probably not kvm specific.
Comment 2 Pavel Zhukov 2012-04-02 03:43:12 EDT
I have similar problem in F17 running on RHEV

⎡ Virtual core pointer                    	id=2	[master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer              	id=4	[slave  pointer  (2)]
⎜   ↳ ImExPS/2 Generic Explorer Mouse         	id=8	[slave  pointer  (2)]
⎣ Virtual core keyboard                   	id=3	[master keyboard (2)]
    ↳ Virtual core XTEST keyboard             	id=5	[slave  keyboard (3)]
    ↳ Power Button                            	id=6	[slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard            	id=7	[slave  keyboard (3)]




[  3056.970] (II) config/udev: Adding input device ImExPS/2 Generic Explorer Mouse (/dev/input/event2)
[  3056.970] (**) ImExPS/2 Generic Explorer Mouse: Applying InputClass "evdev pointer catchall"
[  3056.970] (II) Using input driver 'evdev' for 'ImExPS/2 Generic Explorer Mouse'
[  3056.970] (**) ImExPS/2 Generic Explorer Mouse: always reports core events
[  3056.970] (**) evdev: ImExPS/2 Generic Explorer Mouse: Device: "/dev/input/event2"
[  3056.970] (--) evdev: ImExPS/2 Generic Explorer Mouse: Vendor 0x2 Product 0x6
[  3056.970] (--) evdev: ImExPS/2 Generic Explorer Mouse: Found 9 mouse buttons
[  3056.970] (--) evdev: ImExPS/2 Generic Explorer Mouse: Found scroll wheel(s)
[  3056.970] (--) evdev: ImExPS/2 Generic Explorer Mouse: Found relative axes
[  3056.970] (--) evdev: ImExPS/2 Generic Explorer Mouse: Found x and y relative axes
[  3056.970] (II) evdev: ImExPS/2 Generic Explorer Mouse: Configuring as mouse
[  3056.971] (II) evdev: ImExPS/2 Generic Explorer Mouse: Adding scrollwheel support
[  3056.971] (**) evdev: ImExPS/2 Generic Explorer Mouse: YAxisMapping: buttons 4 and 5
[  3056.971] (**) evdev: ImExPS/2 Generic Explorer Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[  3056.971] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input2/event2"
[  3056.971] (II) XINPUT: Adding extended input device "ImExPS/2 Generic Explorer Mouse" (type: MOUSE, id 8)
[  3056.971] (II) evdev: ImExPS/2 Generic Explorer Mouse: initialized for relative axes.
[  3056.971] (**) ImExPS/2 Generic Explorer Mouse: (accel) keeping acceleration scheme 1
[  3056.971] (**) ImExPS/2 Generic Explorer Mouse: (accel) acceleration profile 0
[  3056.971] (**) ImExPS/2 Generic Explorer Mouse: (accel) acceleration factor: 2.000
[  3056.971] (**) ImExPS/2 Generic Explorer Mouse: (accel) acceleration threshold: 4
[  3056.971] (II) config/udev: Adding input device ImExPS/2 Generic Explorer Mouse (/dev/input/mouse0)
[  3056.971] (II) No input driver specified, ignoring this device.
[  3056.971] (II) This device may have been added with another device file.
Comment 3 Peter Hutterer 2012-04-19 23:14:26 EDT
full Xorg.log please
Comment 4 Fedora End Of Life 2013-04-03 15:47:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Jens Petersen 2015-01-08 04:59:12 EST
I just saw this again on F19-x86_64-LIVE-DESK-20140103.iso
- I don't think it happens with F20+.
Comment 6 Fedora End Of Life 2015-01-09 16:56:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-18 08:42:10 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.